# Copyright (c) 2011 Canonical Ltd.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

from unittest import TestCase

from xdeb import parse_options, want_apt_version


class TestWantAptVersion(TestCase):
    def test_no_apt(self):
        _parser, options, _args = parse_options(args=[])
        options.prefer_apt = False
        options.apt_source = False
        self.assertFalse(want_apt_version(options, None))
